Charts

List Charts

GET
/v0/project/{idOrSlug}/charts

Authorization

apiKeyAuth
x-api-key<token>

FastStats API key. Pass it in the x-api-key header or as a Bearer token in the Authorization header.

In: header

Path Parameters

idOrSlug*string

Query Parameters

dashboardId?|string|null
chartId?string|null

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v0/project/string/charts"
[  {    "id": "string",    "projectId": "string",    "dashboardId": "string",    "name": "string",    "description": "string",    "chartType": "widget",    "queryConfig": {      "primaryMetric": {        "field": "string",        "aggregation": "sum",        "label": "string"      },      "metrics": [        {          "field": "string",          "aggregation": "sum",          "label": "string"        }      ],      "dimensions": [        {          "role": "time",          "field": "string",          "interval": "minute"        }      ],      "filters": [        {          "field": "string",          "operator": "equals",          "value": "string"        }      ],      "timeRange": {        "maxAgeMs": 0,        "from": "string",        "to": "string"      },      "deduplicateServers": true,      "mode": "history",      "groupLimit": 0,      "visualOptions": {        "colors": [          "string"        ],        "pie": {          "style": "pie",          "showLegend": true,          "showTotal": true,          "showLabels": true,          "totalDisplayMode": "sum",          "drilldown": {            "enabled": true,            "splitPattern": "string"          }        },        "bar": {          "stacked": true,          "orientation": "vertical"        },        "line": {          "lineType": "monotone",          "showDots": true        },        "widget": {          "showTrend": true,          "displayMode": "default",          "valueFormat": "number"        },        "list": {          "selectedTabIndex": 0,          "splitPattern": "string",          "multiMetric": true        },        "heatmap": {          "showLegend": true        },        "radar": {          "showDots": true,          "fillOpacity": 0,          "showLegend": true,          "gridType": "polygon"        },        "scatter": {          "pointSize": "small",          "showLegend": true        }      },      "markerCollections": [        {          "collectionId": "string",          "enabled": true,          "display": {            "icon": "string",            "emoji": "string",            "color": "string"          }        }      ]    },    "flowNodes": [      {        "id": "string",        "type": "string",        "data": {},        "position": {          "x": 0,          "y": 0        }      }    ],    "flowEdges": [      {        "id": "string",        "source": "string",        "target": "string"      }    ],    "position": {      "x": 0,      "y": 0,      "w": 0,      "h": 0    },    "createdAt": "string",    "updatedAt": "string"  }]
{  "_tag": "ChartValidationError",  "message": "string"}
{  "_tag": "UnauthorizedError",  "message": "string"}
{  "_tag": "ForbiddenError",  "message": "string",  "code": "string"}
{  "_tag": "NotFoundError",  "message": "string"}